If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

CSS Overlay Grid cannot be unchecked if the same code is run twice

VERIFIED FIXED in Firefox 56

Status

()

Firefox
Developer Tools: Inspector
VERIFIED FIXED
3 months ago
2 months ago

People

(Reporter: ciprian_georgiu, Assigned: pbro)

Tracking

(Blocks: 1 bug, {regression})

56 Branch
Firefox 56
regression
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox54 unaffected, firefox55 unaffected, firefox56 verified)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

Created attachment 8883501 [details]
screencast showing the issue.gif

[Affected versions]:
- latest Nightly 56.0a1

[Affected platforms]:
- Windows 10 x64
- Mac OS X 10.11.6
- Ubuntu 16.04 x64 LTS

[Steps to reproduce]:
1. Launch Firefox.
2. Go to the following page: https://jsfiddle.net/
3. Open Inspect element and focus on the Layout view tab.
4. In the HTML pane, enter:
<div id="grid">
<div id="i1">a</div>
<div id="i2">b</div>
</div>
5. In the CSS pane, enter:
#grid {display: grid;}
#i1 {grid-row: 1;grid-column: 1;}
#i2 {grid-row: 2;grid-column: 2;}
6. Press the run button at the top, twice.
7. Check the div#grid checkbox.
8. Uncheck the div#grid checkbox.

[Expected result]:
- The div#grid checkbox is properly unchecked.

[Actual result]:
- The div#grid checkbox can't be unchecked anymore.

[Regression range]:
- Last good revision: 7e56bf782a5c7449c768b9b4e2fbaa46515c6320
  First bad revision: bbe757a7ab328d530da169823d73d2e6ed0c818f

Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=7e56bf782a5c7449c768b9b4e2fbaa46515c6320&tochange=bbe757a7ab328d530da169823d73d2e6ed0c818f

[Additional notes]:
- not reproducible on 55.0b6 with devtools.layoutview.enabled pref set to true
(Reporter)

Updated

3 months ago
Has Regression Range: --- → yes
Has STR: --- → yes
ni? Patrick for the regressing bug.
Blocks: 1374587
Flags: needinfo?(pbrosset)
(Assignee)

Comment 2

2 months ago
I have a fix for this one. Will upload soon.
Assignee: nobody → pbrosset
Status: NEW → ASSIGNED
Flags: needinfo?(pbrosset)
Comment hidden (mozreview-request)

Comment 4

2 months ago
mozreview-review
Comment on attachment 8886133 [details]
Bug 1378306 - Force update in grid-inspector's reflow handler when nodes have been removed;

https://reviewboard.mozilla.org/r/156936/#review162686
Attachment #8886133 - Flags: review?(gl) → review+

Comment 5

2 months ago
Pushed by gabriel.luong@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/be24b3d04162
Force update in grid-inspector's reflow handler when nodes have been removed; r=gl
Backed out for eslint failures in devtools/client/inspector/grids/test/doc_iframe_reloaded.html:

https://hg.mozilla.org/integration/mozilla-inbound/rev/552c214562cb0fc5a4098abf29113e0004e5411b

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=be24b3d04162eeef6b6d4cf08108a2fdb4d00c8d&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=114559067&repo=mozilla-inbound

TEST-UNEXPECTED-ERROR | /home/worker/checkouts/gecko/devtools/client/inspector/grids/test/doc_iframe_reloaded.html:4:1 | Use the global form of 'use strict'. (strict)
TEST-UNEXPECTED-ERROR | /home/worker/checkouts/gecko/devtools/client/inspector/grids/test/doc_iframe_reloaded.html:4:10 | 'reloadIFrame' is defined but never used. (no-unused-vars)
Flags: needinfo?(pbrosset)

Comment 7

2 months ago
Pushed by gabriel.luong@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/c1da928c697c
Force update in grid-inspector's reflow handler when nodes have been removed; r=gl
Backed out for frequently failing devtools' browser_grids_grid-list-on-iframe-reloaded.js:

https://hg.mozilla.org/integration/mozilla-inbound/rev/b4ddc5594060b348b33912a33ff50efd11d004aa

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=c1da928c697ce8b9b4b2aad5bbe9592bf747d56e&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=114604262&repo=mozilla-inbound

[task 2017-07-15T16:27:35.152823Z] 16:27:35     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's no highlighter shown - 
[task 2017-07-15T16:27:35.153821Z] 16:27:35     INFO - Highlight the first grid again to make sure this still works
[task 2017-07-15T16:27:35.154591Z] 16:27:35     INFO - Waiting for state predicate "state =>
[task 2017-07-15T16:27:35.155473Z] 16:27:35     INFO -     state.grids.length == 1 && state.grids[0].highlighted"
[task 2017-07-15T16:27:35.156327Z] 16:27:35     INFO - Found state predicate "state =>
[task 2017-07-15T16:27:35.156990Z] 16:27:35     INFO -     state.grids.length == 1 && state.grids[0].highlighted"
[task 2017-07-15T16:27:35.157975Z] 16:27:35     INFO - Buffered messages logged at 16:27:34
[task 2017-07-15T16:27:35.159065Z] 16:27:35     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's again one grid in the list - 
[task 2017-07-15T16:27:35.160929Z] 16:27:35     INFO - Buffered messages finished
[task 2017-07-15T16:27:35.161955Z] 16:27:35     INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | The checkbox is checked - 
[task 2017-07-15T16:27:35.163784Z] 16:27:35     INFO - Stack trace:
[task 2017-07-15T16:27:35.164869Z] 16:27:35     INFO -     chrome://mochitests/content/browser/devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js:null:47
[task 2017-07-15T16:27:35.165743Z] 16:27:35     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:758:9
[task 2017-07-15T16:27:35.166690Z] 16:27:35     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:670:7
[task 2017-07-15T16:27:35.168446Z] 16:27:35     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59

Comment 9

2 months ago
Pushed by gabriel.luong@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/9d1a69ab9ec9
Force update in grid-inspector's reflow handler when nodes have been removed; r=gl
Backed out for frequently failing devtools' browser_grids_grid-list-on-iframe-reloaded.js with "There's no highlighter shown":

https://hg.mozilla.org/integration/mozilla-inbound/rev/cff6ddc29a02ade0a726f5384cc6b823ef2fa9b9

Push with failure (child has more): https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=9d1a69ab9ec982860a9b6dda107597aca0282739&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=114638016&repo=mozilla-inbound

17:42:51     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's one grid in the list - 
17:42:51     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | The checkbox is checked - 
17:42:51     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's a highlighter shown - 
17:42:51     INFO - Reload the iframe in content and expect the grid list to update
17:42:51     INFO - Waiting for state predicate "state =>
17:42:51     INFO -     state.grids.length == 1 &&
17:42:51     INFO -     state.grids[0].actorID !== oldGrid.actorID &&
17:42:51     INFO -     !state.grids[0].highlighted"
17:42:51     INFO - Found state predicate "state =>
17:42:51     INFO -     state.grids.length == 1 &&
17:42:51     INFO -     state.grids[0].actorID !== oldGrid.actorID &&
17:42:51     INFO -     !state.grids[0].highlighted"
17:42:51     INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's still one grid in the list - 
17:42:51     INFO - Buffered messages finished
17:42:51     INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js | There's no highlighter shown - 
17:42:51     INFO - Stack trace:
17:42:51     INFO -     chrome://mochitests/content/browser/devtools/client/inspector/grids/test/browser_grids_grid-list-on-iframe-reloaded.js:null:38
17:42:51     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:758:9
17:42:51     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:670:7
17:42:51     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
Comment hidden (mozreview-request)
(Assignee)

Comment 12

2 months ago
New patch, new try build, let's see if this works: https://treeherder.mozilla.org/#/jobs?repo=try&revision=829ca9e60730eb8ecad9443bf2b68b8a1849c9f2
Flags: needinfo?(pbrosset)

Comment 13

2 months ago
Pushed by pbrosset@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1ee11b9353f9
Force update in grid-inspector's reflow handler when nodes have been removed; r=gl

Comment 14

2 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/1ee11b9353f9
Status: ASSIGNED → RESOLVED
Last Resolved: 2 months ago
status-firefox56: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 56
status-firefox-esr52: --- → unaffected
I have reproduced this bug with nightly 56.0a1 (2017-07-05) on Linux Mint (64 Bit).

The bug's fix is now verified on Latest Nightly 56.0a1

Build ID 	20170720220700
User Agent 	Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
QA Whiteboard: [bugday-20170719]

Comment 16

2 months ago
I have successfully reproduced this bug with Nightly 56.0a1 (2017-07-05) (32-bit) on windows 10(32bit)

this bug is verified fix with  latest nightly 56.0a1 (2017-07-20) (32-bit)

Build ID:  	20170720030203
Mozilla/5.0 (Windows NT 10.0; rv:56.0) Gecko/20100101 Firefox/56.0
[bugday-20170719]
I also verified this as fixed on macOS 10.12.5 using latest Nightly.
Status: RESOLVED → VERIFIED
status-firefox56: fixed → verified
You need to log in before you can comment on or make changes to this bug.